
using EPiServer.Common.Queries;

namespace EPiServer.Templates.RelatePlus.Templates.PageEntity
{
    public class PageEntityQuery : QueryBase 
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PageEntityQuery"/> class.
        /// </summary>
        public PageEntityQuery()
            : base(typeof(PageEntity))
        {
        }

        /// <summary>
        /// Gets or sets the type of the page.
        /// </summary>
        /// <value>The type of the page.</value>
        public IntegerCriterion PageType
        {
            get { return base.GetCriterion<IntegerCriterion>("Type"); }
            set { base.SetCriterion<IntegerCriterion>("Type", value); }
        }


        /// <summary>
        /// Gets or sets the site ID.
        /// </summary>
        /// <value>The site ID.</value>
        public IntegerCriterion SiteID
        {
            get { return base.GetCriterion<IntegerCriterion>("SiteID"); }
            set { base.SetCriterion<IntegerCriterion>("SiteID", value); }
        }
    }
}