/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Research.Wiki.Properties;

namespace EPiServer.Research.Wiki.Units
{
    public partial class ArticleHistory : EPiServer.UserControlBase
    {
        PageVersionCollection pvc;
        
        private string page;

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            

            pvc = WikiManager.Instance.ListAllArticleVersions(WikiManager.Instance.GetWikiArticle(CurrentPage).PageLink);
            Sections.DataSource = pvc;

            DataBind();
        }

        public bool isVisible()
        {
            PageData pd = WikiManager.Instance.GetWikiRoot(CurrentPage.PageLink);
            PropertyAccessLevel pal = pd.Property["VersionManagement"] as PropertyAccessLevel;
            if (null != pal)
            {
                if (!pal.CheckAllowed(CurrentPage))
                {
                    return false;
                }
            }
            return true;
        }

        public string PageID
        {
            set
            {
                page = value;
            }
        }
        public string getItem(object dataitem, string part)
        {
            PageVersion pv = dataitem as PageVersion;
            if (part == "Status")
            {
                return pv.Status.ToString();
            }
            else if (part == "By")
            {
                return pv.SavedBy;
            }
            else if (part == "Saved")
            {
                return pv.Saved.ToShortDateString() + pv.Saved.ToShortTimeString();
            }
            else if (part == "Section")
            {
                return pv.Name;
            }

            PageData pd = DataFactory.Instance.GetPage(pv.ID);

            if (part == "Difference")
            {
                if (null != pd.Property["EditComment"])
                {

                    return pd.Property["EditComment"].ToString();
                }
            }
            return "";


        }

        public void SectionUpdate(object sender, CommandEventArgs e)
        {
            int index = Convert.ToInt32(e.CommandArgument.ToString());

            PageVersion pv = pvc[index];
            try
            {
                WikiManager.Instance.RestoreToVersion(pv.ID, pv.Saved);
            }
            catch (Exception) { }


            
            Response.Redirect(CurrentPage.LinkURL);

        }

        public void ArticleUpdate(object sender, CommandEventArgs e)
        {
            int index = Convert.ToInt32(e.CommandArgument.ToString());

            PageVersion pv = pvc[index];

            try
            {
                WikiManager.Instance.RestoreEntireArticle(pv.ID, pv.Saved);
            }
            catch (Exception)
            {
                
            }
            Response.Redirect(CurrentPage.LinkURL);

        }








    }
}
