﻿using System;
using EPiServer.Core;

namespace EPiServer.Templates.RelatePlus.Templates.PageEntity
{
    public class PageEntityUtils
    {
        public static Type GetPageEntityType(PageEntityTypes pageEntityTypes)
        {
            switch (pageEntityTypes)
            {
                case PageEntityTypes.Undefined:
                    return null;
                case PageEntityTypes.WikiArticle:
                    return typeof(WikiArticlePageEntity);
                default:
                    throw new ArgumentOutOfRangeException("pageEntityTypes");
            }
        }

        public static Type GetPageEntityType(PageData CurrentPage)
        {

            if (CurrentPage.PageTypeName == EPiServer.Research.Wiki.WikiManager.WIKIARTICLENAME || CurrentPage.PageTypeName == EPiServer.Research.Wiki.WikiManager.WIKIROOTNAME)
            {
                return typeof (WikiArticlePageEntity);
            }

            return null;
        }
    }
}
