<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ArticleContents.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.ArticleContents" %>
<%@ Register TagPrefix="Wiki" TagName="SectionMenu" Src="~/Templates/WikiX/Units/SectionMenu.ascx" %>
<%@ Register TagPrefix="Wiki" TagName="SectionEdit" Src="~/Templates/WikiX/Units/SectionEdit.ascx" %>
<%@ Register TagPrefix="Wiki" TagName="ArticleTOC" Src="~/Templates/WikiX/Units/ArticleTOC.ascx" %>
<div class="ArticleView">
    <div class="ArticleViewHead">
        <div class="ArticleHead">
            <h1>
                <%=CurrentPage.PageName %></h1>
        </div>
        <Wiki:SectionMenu ID="SectionMenu1" runat="server" ActivePage='<%# CurrentPage.PageLink %>'
            IsArticle="true" />
    </div>
    <div class="ArticleViewBody">
        <EPiServer:Property ID="Property2" runat="server" PropertyName="MainBody" />
        <Wiki:ArticleTOC runat="server" Visible='<%# ((bool)(CurrentPage["ShowTOC"] ?? false)) %>' />
    </div>
</div>
<EPiServer:PageList ID="PageList1" runat="server" DataSource='<%# EPiServer.Research.Wiki.WikiManager.Instance.GetSections(CurrentPage.PageLink) %>'>
    <ItemTemplate>
        <a name='<%# Eval("URLSegment") %>'></a>
        <asp:Panel ID="Panel1" runat="server" CssClass="ArticleView" Visible='<%# (((string)Container.CurrentPage["Style"] ?? "")=="") || ((string)Container.CurrentPage["Style"] ?? "")=="Section" %>'>
            <!-- Regular Section -->
            <div class="ArticleViewHead">
                <div class="ArticleSubHead">
                    <h1>
                        <EPiServer:Property ID="Property3" runat="server" PropertyName="PageName" />
                    </h1>
                </div>
                <Wiki:SectionMenu ID="SectionMenu1" runat="server" ActivePage='<%# Eval("PageLink") %>'
                    IsArticle="false" />
            </div>
            <div class="ArticleViewBody">
                <EPiServer:Property ID="Property1" runat="server" PropertyName="MainBody" />
            </div>
        </asp:Panel>
        <asp:PlaceHolder runat="server" Visible='<%# ((string)Container.CurrentPage["Style"] ?? "")== "FactBox" %>'>
            <div class="ArticleViewSection">
                <!-- Factbox -->
                <div class="ArticleSectionBody">
                    <Wiki:SectionMenu ID="SectionMenu2" CssClass="SectionIconMenu" runat="server" ActivePage='<%# Eval("PageLink") %>'
                        IsArticle="false" />
                    <div class="ArticleSectionHead">
                        <h1>
                            <%# Eval("PageName") %></h1>
                    </div>
                    <EPiServer:Property ID="Property4" runat="server" PropertyName="MainBody" />
                </div>
            </div>
            <div class="ClearRight" />
        </asp:PlaceHolder>
    </ItemTemplate>
</EPiServer:PageList>
