﻿/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using EPiServer.Core;

namespace EPiServer.Research.Wiki.Core
{
    [Serializable]
    public class WikiProfile
    {
        //TODO: Localize per wiki

        public const int MaxListItems = 50;

        public List<PageReference> RecentEdits { get; set; }

        public List<PageReference> RecentDiscussions { get; set; }

        public List<PageReference> MostEdited()
        {
            //TODO
            return null;
        }

        public List<PageReference> MostDiscussed()
        {
            //TODO
            return null;
        }

        public void Edit(PageReference article)
        {
            RecentEdits.Add(article);
            if (RecentEdits.Count > MaxListItems) RecentEdits.RemoveAt(0);
        }

        public void Discussion(PageReference article)
        {
            RecentDiscussions.Add(article);
            if (RecentDiscussions.Count > MaxListItems) RecentDiscussions.RemoveAt(0);
        }

        public WikiProfile()
        {
            RecentEdits = new List<PageReference>();
            RecentDiscussions = new List<PageReference>();
        }
    }
}
