/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Research.Wiki.Properties;

namespace EPiServer.Research.Wiki.Units
{
    public partial class ArticleDiscussion : EPiServer.UserControlBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                list.DataBind();
                //commentList.DataBind();


            }
            SubmitBtn.Click += new EventHandler(SubmitBtn_Click);

            PageData pd = WikiManager.Instance.GetWikiRoot(CurrentPage.PageLink);
            PropertyAccessLevel pal = pd.Property["DiscussionAccess"] as PropertyAccessLevel;
            if (null != pal)
            {
                if (!pal.CheckAllowed(CurrentPage))
                {
                    PostDiscussion.Visible = false;
                }
            }
            

        }

        void SubmitBtn_Click(object sender, EventArgs e)
        {
            WikiManager.Instance.AddDicussionPost(CurrentPage.PageLink, NewComment.Text);
            Response.Redirect(CurrentPage.LinkURL + "&mode=talk");
        }

        protected string GetFormattedDate(object dataitem, string format)
        {
            PageData page = dataitem as PageData;
                return ((DateTime)page.Created).ToString(format);
           
        }

        protected string GetUser(object dataitem)
        {
            PageData page = dataitem as PageData;
            return page.CreatedBy;

        }



    }
}