/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Research.Wiki.DynamicContent;
using EPiServer.SpecializedProperties;
using System.Linq;

namespace EPiServer.Research.Wiki.Units
{
    public partial class CustomLinks : WikiElement
    {
        protected override void CreateProperties()
        {
            PropertyString ps = new PropertyString();
            ps.Name = "Title";
            this.Properties.Add(ps);
            PropertyLinkCollection plc = new PropertyLinkCollection();
            plc.Name = "Links";
            this.Properties.Add(plc);
        }

        public override void SetProperties(PropertyDataCollection pdc)
        {
            this.headline.Text = pdc["Title"].ToString();
            PropertyLinkCollection plc = pdc["Links"] as PropertyLinkCollection;
            var lnks=plc.Links.Select(li => "<a href=\"" + li.Href + "\" target=\"" + li.Target + "\" title=\"" + li.Title + "\">" + li.Text + "</a>");
            linklist.DataSource = lnks;
            linklist.DataBind();
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected override string GetAscxUrl()
        {
            return "~/Templates/WikiX/Units/CustomLinks.ascx";
        }
    }
}