/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Web;
using EPiServer.Web;
using System.Text.RegularExpressions;
using EPiServer.Core;
using EPiServer.Research.Wiki;
using EPiServer;
using System.Collections.Generic;
using System.Diagnostics;
using System.Threading;
using System.Linq;
using System.Xml;


namespace EPiServer.Research.Wiki
{
    public class WikiRewrite 
    {
        public EventHandler<HtmlRewriteEventArgs> HtmlRewriteValueEventHandler;
        public EventHandler<HtmlRewriteEventArgs> HtmlRewriteNameEventHandler;
        private bool inEditSection=false;
        private bool inLink = false;
        private bool inNoParse = false;


        /// <summary>
        /// Handles the Wiki Syntax.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void RewritePipe_HtmlRewriteValue(object sender, HtmlRewriteEventArgs e)
        {
            if (inEditSection && (e.NodeType == System.Xml.XmlNodeType.EndElement) && (e.Name.ToLower() == "textarea")) inEditSection = false;
            if (inLink && (e.NodeType == System.Xml.XmlNodeType.EndElement) && (e.Name.ToLower() == "a")) inLink = false;
            if (inNoParse && (e.NodeType == System.Xml.XmlNodeType.EndElement) && (e.Name.ToLower() == "noparse")) inNoParse = false;
            if ((e.NodeType == System.Xml.XmlNodeType.Text) && (!inEditSection) && (!inNoParse))
            {
                PageReference pr2 = PermanentLinkUtility.GetPageReference(((EPiServer.Web.UrlRewriteEventArgs.Context)e.Context).InternalUrl);
                
                if(pr2!=PageReference.EmptyReference)     WikiManager.Instance.Parser.Parse(e.ValueBuilder,pr2);
            }
        }

        private void RewritePipe_HtmlRewriteName(object sender, HtmlRewriteEventArgs e)
        {
            if (!inEditSection && (e.NodeType == XmlNodeType.Element))
            {
                if (e.Name.ToLower() == "textarea") inEditSection = true;
                else if (e.Name.ToLower() == "a") inLink = true;
                else if (e.Name.ToLower() == "noparse")
                    inNoParse = true;
            } 
        }

        public WikiRewrite()
        {
            this.HtmlRewriteValueEventHandler = new EventHandler<HtmlRewriteEventArgs>(RewritePipe_HtmlRewriteValue);
            this.HtmlRewriteNameEventHandler = new EventHandler<HtmlRewriteEventArgs>(RewritePipe_HtmlRewriteName);
        }


    }


}
