/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Filters;
using EPiServer.Research.Wiki.Core;

namespace EPiServer.Research.Wiki.Pages
{
    public partial class Article : WikiPageBase
    {

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            if (!string.IsNullOrEmpty(Request["editCallback"]))
            {
                EditManager.Instance.GetLock(PageReference.Parse(Request["editCallback"]));
                Response.Write("");
                Response.End();
            }
        }
        #region Feed
        protected override PageDataCollection FeedSource
        {
            get
            {
                return GetFeedPages();
            }
        }
      
        private PageDataCollection GetFeedPages()
        {
            PageDataCollection pages = new PageDataCollection();
            pages.Add(DataFactory.Instance.GetChildren(CurrentPage.PageLink));
            pages.Add(CurrentPage);
            return Filters.FilterForVisitor.Filter(pages);
        }
        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {

            if((!string.IsNullOrEmpty(Request["mode"])) && (Request["mode"].ToLower()=="talk")){
                this.Title = Translate("/wiki/general/discussionsectiontitle")+ CurrentPage.PageName;
                MainPlaceHolder.Controls.Add(Page.LoadControl("~/EPiServer.Research.Wiki/Units/ArticleDiscussion.ascx"));
                LeftMenu1.MenuProperty = "LeftMenuDiscussion";
            }
            else if ((!string.IsNullOrEmpty(Request["mode"])) && (Request["mode"].ToLower() == "history"))
            {
                this.Title = Translate("/wiki/general/historysectiontitle")+ CurrentPage.PageName;
                MainPlaceHolder.Controls.Add(Page.LoadControl("~/EPiServer.Research.Wiki/Units/ArticleHistory.ascx"));
                LeftMenu1.MenuProperty = "LeftMenuHistory";
            }
            else
            {
                this.Title = CurrentPage.PageName;
                MainPlaceHolder.Controls.Add(Page.LoadControl("~/EPiServer.Research.Wiki/Units/ArticleContents.ascx"));
                LeftMenu1.MenuProperty = "LeftMenu";
                if (CurrentPage.QueryDistinctAccess(EPiServer.Security.AccessLevel.Edit))
                {
                    if ((!string.IsNullOrEmpty(Request["edit"])) || (!string.IsNullOrEmpty(Request["add"])))
                    {
                        //In edit mode - load edit control
                        MainPlaceHolder.Controls.Add(Page.LoadControl("~/EPiServer.Research.Wiki/Units/FullEdit.ascx"));
                    }
                }
            }

        }

        
    }
}
