/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Filters;
using EPiServer.Research.Wiki.Core;
using EPiServer.Core.Html;

namespace EPiServer.Research.Wiki.Pages
{
    public partial class Search : WikiPageBase
    {
       
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            PageBase page = (PageBase)Page;
          
                string query = ((string)HttpContext.Current.Items["Query"]) ?? Request.QueryString["quicksearchquery"];
                if (!String.IsNullOrEmpty(query))
                {
                    query = query.Replace('+', ' ');
                    SearchDataSource.SearchQuery = query;
                    
                    SearchDataSource.Filter += new FilterEventHandler(this.Filter);
                    SearchRes.Visible = true;
                    PageDataCollection pdc = (PageDataCollection) SearchDataSource.Select(DataSourceSelectArguments.Empty);
                    SearchRes.DataSource = pdc;

                    if (pdc.Count == 0)
                    {
                        NoSearchResult.Visible = true;

                    }
                    else
                    {
                        SearchDataSource.DataBind();
                        SearchRes.DataBind();
                    }

                }
                if (!this.IsPostBack) caption.DataBind();
            

        }

        protected string GetTitle(object o)
        {
            PageData pd = (o as PageData);
            if (pd.PageTypeName == WikiManager.WIKIARTICLENAME) return pd.PageName;
            return WikiManager.Instance.GetWikiArticle(pd).PageName + " > " + pd.PageName;
        }

        public void Filter(object sender, FilterEventArgs e)
        {
            PageDataCollection pages = e.Pages;
            PageData pageData;
            for (int i = 0; i < pages.Count; i++)
            {
                pageData = pages[i];
                if (pageData.PageTypeName == WikiManager.WIKIDISCUSSIONNAME)
                {
                    pages.RemoveAt(i);
                    i--;
                }
            }
        }
 
    }
}
