/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;


using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.Web.WebControls;
using EPiServer.Research.Wiki.DynamicContent;

namespace EPiServer.Research.Wiki.Units
{
    public partial class ToolCategories : WikiElement
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            PageData pd=WikiManager.Instance.GetWikiRoot(CurrentPage.PageLink);
            CatList.DataSource = ((CategoryList)pd["WikiCategories"]);
            CatList.DataBind();
        }

        protected string GetCategoryName(int id)
        {
            return Category.Find(id).Name;
        }

        protected string GetCategoryLink(int id)
        {
           string url = WikiManager.Instance.CreateCategoryListingUrl(CurrentPage.PageLink, Category.Find(id).Name, string.Empty);
           return url.TrimEnd('/');
        }

        protected override string GetAscxUrl()
        {
            return "~/EPiServer.Research.Wiki/Units/ToolCategories.ascx";
        }
    }
}